org.jboss.jca.core.security.picketbox

## Class PicketBoxSecurityContext

- java.lang.Object
- - org.jboss.jca.core.security.picketbox.PicketBoxSecurityContext

- All Implemented Interfaces:
    org.jboss.jca.core.spi.security.SecurityContext

      public class PicketBoxSecurityContext
      extends java.lang.Object
      implements org.jboss.jca.core.spi.security.SecurityContext

  SecurityContext implementation using PicketBox
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicketBoxSecurityContext(org.jboss.security.SecurityContext delegator)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.Subject` | `getAuthenticatedSubject()` Get the authenticated subject
    `java.lang.String[]` | `getRoles()` Get the associated role names
    `void` | `setAuthenticatedSubject(javax.security.auth.Subject subject)` Set the authenticated subject

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PicketBoxSecurityContext

          public PicketBoxSecurityContext(org.jboss.security.SecurityContext delegator)

      Constructor
      Parameters:
        `delegator` - The delegator

  - ### Method Detail

    - #### getAuthenticatedSubject

          public javax.security.auth.Subject getAuthenticatedSubject()

      Get the authenticated subject
      Specified by:
        `getAuthenticatedSubject` in interface `org.jboss.jca.core.spi.security.SecurityContext`
      Returns:
        The Subject, or `null` if unauthenticated

    - #### setAuthenticatedSubject

          public void setAuthenticatedSubject(javax.security.auth.Subject subject)

      Set the authenticated subject
      Specified by:
        `setAuthenticatedSubject` in interface `org.jboss.jca.core.spi.security.SecurityContext`
      Parameters:
        `subject` - The Subject

    - #### getRoles

          public java.lang.String[] getRoles()

      Get the associated role names
      Specified by:
        `getRoles` in interface `org.jboss.jca.core.spi.security.SecurityContext`
      Returns:
        The role names, or `null` if none

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)